Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xslt
Class Process

    java.lang.Object
      |
      +--weblogic.apache.xalan.xslt.Process

public class Process
extends java.lang.Object

The main() method handles the Xalan command-line interface.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`Process()`

Method Summary
`static java.net.URL` | `getURLFromString(java.lang.String urlString, java.lang.String base)` Take a user string and try and parse XML, and also return the url.
`static void` | `main(java.lang.String[] argv)` Command line interfact to transform the XML according to the instructions found in the XSL stylesheet.
`protected static void` | `printArgOptions(XSLTErrorResources resbundle)` Prints argument options.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Process

    public Process()

Method Detail

### printArgOptions

    protected static void printArgOptions(XSLTErrorResources resbundle)

  Prints argument options.

### main

    public static void main(java.lang.String[] argv)

  Command line interfact to transform the XML according to the instructions found in the XSL stylesheet.

          -IN inputXMLURL
          -XSL XSLTransformationURL
          -OUT outputFileName
          -LXCIN compiledStylesheetFileNameIn
          -LXCOUT compiledStylesheetFileNameOut
          -PARSER fully qualified class name of parser liaison
          -V (Version info)
          -QC (Quiet Pattern Conflicts Warnings)
          -Q  (Quiet Mode)
          -LF (Use linefeeds only on output -- default is CR/LF)
          -CR (Use carriage returns only on output -- default is CR/LF)
          -INDENT (Number of spaces to indent each level in output tree --default is 0)
          -TT (Trace the templates as they are being called)
          -TG (Trace each result tree generation event)
          -TS (Trace each selection event)
          -TTC (Trace the template children as they are being processed)
          -VALIDATE (Validate the XML and XSL input -- validation is off by default)
          -EDUMP [optional]FileName (Do stackdump on error)
          -XML (Use XML formatter and add XML header)
          -TEXT (Use simple Text formatter)
          -HTML (Use HTML formatter)
          -PARAM name expression (Set a stylesheet parameter)

  Use -IN to specify the XML source document. To specify the XSL stylesheet, use -XSL or -LXCIN. To compile an XSL stylesheet for future use as -LXCIN input, use -LXCOUT.

  Include -PARSER if you supply your own parser liaison class, which is required if you do not use the &xml4j; parser.

  Use -TEXT if you want the output to include only element values (not element tags with element names and attributes). Use -HTML to write 4.0 transitional HTML (some elements, such as <br>, are not well formed.

  To set stylesheet parameters from the command line, use -PARAM name expression. If you want to set the parameter to a string value, enclose the string in single quotes (') to

### getURLFromString

    public static java.net.URL getURLFromString(java.lang.String urlString,
                                                java.lang.String base)
                                         throws org.xml.sax.SAXException

  Take a user string and try and parse XML, and also return the url.

  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD